curl --request POST \
--url https://data.us.algolia.com/1/authentications \
--header 'accept: application/json' \
--header 'content-type: application/json' \
--header 'x-algolia-api-key: ALGOLIA_API_KEY' \
--header 'x-algolia-application-id: ALGOLIA_APPLICATION_ID' \
--data '
{
"type": "googleServiceAccount",
"name": "lorem",
"platform": "bigcommerce",
"input": {
"clientEmail": "service-account-name@project-id.iam.gserviceaccount.com",
"privateKey": "lorem"
}
}
'// Initialize the client
var client = new IngestionClient(
new IngestionConfig("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY", "ALGOLIA_APPLICATION_REGION")
);
// Call the API
var response = await client.CreateAuthenticationAsync(
new AuthenticationCreate
{
Type = Enum.Parse<AuthenticationType>("Oauth"),
Name = "authName",
Input = new AuthInput(
new AuthOAuth
{
Url = "http://test.oauth",
ClientId = "myID",
ClientSecret = "mySecret",
}
),
}
);
// print the response
Console.WriteLine(response);// Initialize the client
final client = IngestionClient(
appId: 'ALGOLIA_APPLICATION_ID',
apiKey: 'ALGOLIA_API_KEY',
region: 'ALGOLIA_APPLICATION_REGION');
// Call the API
final response = await client.createAuthentication(
authenticationCreate: AuthenticationCreate(
type: AuthenticationType.fromJson("oauth"),
name: "authName",
input: AuthOAuth(
url: "http://test.oauth",
clientId: "myID",
clientSecret: "mySecret",
),
),
);
// print the response
print(response);// Initialize the client with your application region, eg. ingestion.ALGOLIA_APPLICATION_REGION
client, err := ingestion.NewClient("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY", ingestion.US)
if err != nil {
// The client can fail to initialize if you pass an invalid parameter.
panic(err)
}
// Call the API
response, err := client.CreateAuthentication(client.NewApiCreateAuthenticationRequest(
ingestion.NewEmptyAuthenticationCreate().
SetType(ingestion.AuthenticationType("oauth")).
SetName("authName").
SetInput(ingestion.AuthOAuthAsAuthInput(
ingestion.NewEmptyAuthOAuth().SetUrl("http://test.oauth").SetClientId("myID").SetClientSecret("mySecret"))),
))
if err != nil {
// handle the eventual error
panic(err)
}
// print the response
print(response)// Initialize the client
IngestionClient client = new IngestionClient("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY", "ALGOLIA_APPLICATION_REGION");
// Call the API
AuthenticationCreateResponse response = client.createAuthentication(
new AuthenticationCreate()
.setType(AuthenticationType.OAUTH)
.setName("authName")
.setInput(new AuthOAuth().setUrl("http://test.oauth").setClientId("myID").setClientSecret("mySecret"))
);
// print the response
System.out.println(response);// Initialize the client
// Replace 'us' with your Algolia Application Region
const client = algoliasearch('ALGOLIA_APPLICATION_ID', 'ALGOLIA_API_KEY').initIngestion({ region: 'us' });
// Call the API
const response = await client.createAuthentication({
type: 'oauth',
name: 'authName',
input: { url: 'http://test.oauth', client_id: 'myID', client_secret: 'mySecret' },
});
// print the response
console.log(response);// Initialize the client
val client =
IngestionClient(
appId = "ALGOLIA_APPLICATION_ID",
apiKey = "ALGOLIA_API_KEY",
region = "ALGOLIA_APPLICATION_REGION",
)
// Call the API
var response =
client.createAuthentication(
authenticationCreate =
AuthenticationCreate(
type = AuthenticationType.entries.first { it.value == "oauth" },
name = "authName",
input =
AuthOAuth(url = "http://test.oauth", clientId = "myID", clientSecret = "mySecret"),
)
)
// print the response
println(response)// Initialize the client
$client = IngestionClient::create('ALGOLIA_APPLICATION_ID', 'ALGOLIA_API_KEY', 'ALGOLIA_APPLICATION_REGION');
// Call the API
$response = $client->createAuthentication(
['type' => 'oauth',
'name' => 'authName',
'input' => ['url' => 'http://test.oauth',
'client_id' => 'myID',
'client_secret' => 'mySecret',
],
],
);
// print the response
var_dump($response);# Initialize the client
# In an asynchronous context, you can use IngestionClient instead, which exposes the exact same methods.
client = IngestionClientSync(
"ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY", "ALGOLIA_APPLICATION_REGION"
)
# Call the API
response = client.create_authentication(
authentication_create={
"type": "oauth",
"name": "authName",
"input": {
"url": "http://test.oauth",
"client_id": "myID",
"client_secret": "mySecret",
},
},
)
# print the response
print(response)# Initialize the client
client = Algolia::IngestionClient.create("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY", "ALGOLIA_APPLICATION_REGION")
# Call the API
response = client.create_authentication(
Algolia::Ingestion::AuthenticationCreate.new(
type: "oauth",
name: "authName",
input: Algolia::Ingestion::AuthOAuth.new(url: "http://test.oauth", client_id: "myID", client_secret: "mySecret")
)
)
# print the response
puts(response)// Initialize the client
val client = IngestionClient(
appId = "ALGOLIA_APPLICATION_ID",
apiKey = "ALGOLIA_API_KEY",
region = "ALGOLIA_APPLICATION_REGION"
)
// Call the API
val response = Await.result(
client.createAuthentication(
authenticationCreate = AuthenticationCreate(
`type` = AuthenticationType.withName("oauth"),
name = "authName",
input = AuthOAuth(
url = "http://test.oauth",
clientId = Some("myID"),
clientSecret = Some("mySecret")
)
)
),
Duration(100, "sec")
)
// print the response
println(response)// Initialize the client
let client = try IngestionClient(appID: "ALGOLIA_APPLICATION_ID", apiKey: "ALGOLIA_API_KEY", region: .us)
// Call the API
let response = try await client.createAuthentication(authenticationCreate: AuthenticationCreate(
type: AuthenticationType.oauth,
name: "authName",
input: AuthInput.authOAuth(AuthOAuth(url: "http://test.oauth", clientId: "myID", clientSecret: "mySecret"))
))
// print the response
print(response){
"authenticationID": "6c02aeb1-775e-418e-870b-1faccd4b2c0f",
"createdAt": "<string>",
"name": "<string>"
}{
"message": "Invalid Application-Id or API-Key"
}Create an authentication resource
Creates a new authentication resource.
curl --request POST \
--url https://data.us.algolia.com/1/authentications \
--header 'accept: application/json' \
--header 'content-type: application/json' \
--header 'x-algolia-api-key: ALGOLIA_API_KEY' \
--header 'x-algolia-application-id: ALGOLIA_APPLICATION_ID' \
--data '
{
"type": "googleServiceAccount",
"name": "lorem",
"platform": "bigcommerce",
"input": {
"clientEmail": "service-account-name@project-id.iam.gserviceaccount.com",
"privateKey": "lorem"
}
}
'// Initialize the client
var client = new IngestionClient(
new IngestionConfig("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY", "ALGOLIA_APPLICATION_REGION")
);
// Call the API
var response = await client.CreateAuthenticationAsync(
new AuthenticationCreate
{
Type = Enum.Parse<AuthenticationType>("Oauth"),
Name = "authName",
Input = new AuthInput(
new AuthOAuth
{
Url = "http://test.oauth",
ClientId = "myID",
ClientSecret = "mySecret",
}
),
}
);
// print the response
Console.WriteLine(response);// Initialize the client
final client = IngestionClient(
appId: 'ALGOLIA_APPLICATION_ID',
apiKey: 'ALGOLIA_API_KEY',
region: 'ALGOLIA_APPLICATION_REGION');
// Call the API
final response = await client.createAuthentication(
authenticationCreate: AuthenticationCreate(
type: AuthenticationType.fromJson("oauth"),
name: "authName",
input: AuthOAuth(
url: "http://test.oauth",
clientId: "myID",
clientSecret: "mySecret",
),
),
);
// print the response
print(response);// Initialize the client with your application region, eg. ingestion.ALGOLIA_APPLICATION_REGION
client, err := ingestion.NewClient("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY", ingestion.US)
if err != nil {
// The client can fail to initialize if you pass an invalid parameter.
panic(err)
}
// Call the API
response, err := client.CreateAuthentication(client.NewApiCreateAuthenticationRequest(
ingestion.NewEmptyAuthenticationCreate().
SetType(ingestion.AuthenticationType("oauth")).
SetName("authName").
SetInput(ingestion.AuthOAuthAsAuthInput(
ingestion.NewEmptyAuthOAuth().SetUrl("http://test.oauth").SetClientId("myID").SetClientSecret("mySecret"))),
))
if err != nil {
// handle the eventual error
panic(err)
}
// print the response
print(response)// Initialize the client
IngestionClient client = new IngestionClient("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY", "ALGOLIA_APPLICATION_REGION");
// Call the API
AuthenticationCreateResponse response = client.createAuthentication(
new AuthenticationCreate()
.setType(AuthenticationType.OAUTH)
.setName("authName")
.setInput(new AuthOAuth().setUrl("http://test.oauth").setClientId("myID").setClientSecret("mySecret"))
);
// print the response
System.out.println(response);// Initialize the client
// Replace 'us' with your Algolia Application Region
const client = algoliasearch('ALGOLIA_APPLICATION_ID', 'ALGOLIA_API_KEY').initIngestion({ region: 'us' });
// Call the API
const response = await client.createAuthentication({
type: 'oauth',
name: 'authName',
input: { url: 'http://test.oauth', client_id: 'myID', client_secret: 'mySecret' },
});
// print the response
console.log(response);// Initialize the client
val client =
IngestionClient(
appId = "ALGOLIA_APPLICATION_ID",
apiKey = "ALGOLIA_API_KEY",
region = "ALGOLIA_APPLICATION_REGION",
)
// Call the API
var response =
client.createAuthentication(
authenticationCreate =
AuthenticationCreate(
type = AuthenticationType.entries.first { it.value == "oauth" },
name = "authName",
input =
AuthOAuth(url = "http://test.oauth", clientId = "myID", clientSecret = "mySecret"),
)
)
// print the response
println(response)// Initialize the client
$client = IngestionClient::create('ALGOLIA_APPLICATION_ID', 'ALGOLIA_API_KEY', 'ALGOLIA_APPLICATION_REGION');
// Call the API
$response = $client->createAuthentication(
['type' => 'oauth',
'name' => 'authName',
'input' => ['url' => 'http://test.oauth',
'client_id' => 'myID',
'client_secret' => 'mySecret',
],
],
);
// print the response
var_dump($response);# Initialize the client
# In an asynchronous context, you can use IngestionClient instead, which exposes the exact same methods.
client = IngestionClientSync(
"ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY", "ALGOLIA_APPLICATION_REGION"
)
# Call the API
response = client.create_authentication(
authentication_create={
"type": "oauth",
"name": "authName",
"input": {
"url": "http://test.oauth",
"client_id": "myID",
"client_secret": "mySecret",
},
},
)
# print the response
print(response)# Initialize the client
client = Algolia::IngestionClient.create("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY", "ALGOLIA_APPLICATION_REGION")
# Call the API
response = client.create_authentication(
Algolia::Ingestion::AuthenticationCreate.new(
type: "oauth",
name: "authName",
input: Algolia::Ingestion::AuthOAuth.new(url: "http://test.oauth", client_id: "myID", client_secret: "mySecret")
)
)
# print the response
puts(response)// Initialize the client
val client = IngestionClient(
appId = "ALGOLIA_APPLICATION_ID",
apiKey = "ALGOLIA_API_KEY",
region = "ALGOLIA_APPLICATION_REGION"
)
// Call the API
val response = Await.result(
client.createAuthentication(
authenticationCreate = AuthenticationCreate(
`type` = AuthenticationType.withName("oauth"),
name = "authName",
input = AuthOAuth(
url = "http://test.oauth",
clientId = Some("myID"),
clientSecret = Some("mySecret")
)
)
),
Duration(100, "sec")
)
// print the response
println(response)// Initialize the client
let client = try IngestionClient(appID: "ALGOLIA_APPLICATION_ID", apiKey: "ALGOLIA_API_KEY", region: .us)
// Call the API
let response = try await client.createAuthentication(authenticationCreate: AuthenticationCreate(
type: AuthenticationType.oauth,
name: "authName",
input: AuthInput.authOAuth(AuthOAuth(url: "http://test.oauth", clientId: "myID", clientSecret: "mySecret"))
))
// print the response
print(response){
"authenticationID": "6c02aeb1-775e-418e-870b-1faccd4b2c0f",
"createdAt": "<string>",
"name": "<string>"
}{
"message": "Invalid Application-Id or API-Key"
}addObject, deleteIndex, editSettingsAuthorizations
Your Algolia application ID.
Your Algolia API key with the necessary permissions to make the request. Permissions are controlled through access control lists (ACL) and access restrictions. The required ACL to make a request is listed in each endpoint's reference.
Body
Request body for creating a new authentication resource.
Credentials for authenticating with a Google service account, such as BigQuery.
- Google
- Basic
- API key
- OAuth 2.0
- Algolia
- Algolia Insights
- Key:value
Show child attributes
Show child attributes
Descriptive name for the resource.
Type of authentication. This determines the type of credentials required in the input object.
googleServiceAccount, basic, apiKey, oauth, algolia, algoliaInsights, secrets Name of an ecommerce platform with which to authenticate. This determines which authentication type you can select.
bigcommerce, commercetools, shopify Response
OK
API response for the successful creation of an authentication resource.
Was this page helpful?